Package com.collabnet.ce.soap60.webservices.cemain

# Class FolderSoapRow

java.lang.Object
com.collabnet.ce.soap60.webservices.cemain.FolderSoapRow

Direct Known Subclasses:
  `CategorySoapRow`, `DocumentFolderSoapRow`, `Forum2SoapRow`, `ForumSoapRow`, `PackageSoapRow`, `PageSoapRow`, `PlanningFolder2SoapRow`, `PlanningFolder3SoapRow`, `PlanningFolder4SoapRow`, `PlanningFolder5SoapRow`, `PlanningFolderSoapRow`, `PlanningFolderSummary2SoapRow`, `PlanningFolderSummary3SoapRow`, `PlanningFolderSummary4SoapRow`, `PlanningFolderSummary5SoapRow`, `PlanningFolderSummarySoapRow`, `ReleaseSoapRow`, `ReplicatedRepositorySoapRow`, `RepositorySoapRow`, `TopicSoapRow`, `Tracker2SoapRow`, `Tracker3SoapRow`, `TrackerSoapRow`

public class FolderSoapRow extends Object
An abstract super-class for all container lists.

Since:
  4.1

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `FolderSoapRow()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getCreatedBy()`
  Returns 'createdBy'.
  `Date`
  `getCreatedOn()`
  Returns 'createdOn'.
  `String`
  `getDescription()`
  Returns 'description'.
  `String`
  `getId()`
  Returns 'id'.
  `String`
  `getLastModifiedBy()`
  Returns 'lastModifiedBy'.
  `Date`
  `getLastModifiedOn()`
  Returns 'lastModifiedOn'.
  `String`
  `getParentFolderId()`
  Returns 'parentFolderId'.
  `String`
  `getPath()`
  Returns 'path'.
  `String`
  `getProjectId()`
  Returns 'projectId'.
  `String`
  `getTitle()`
  Returns 'title'.
  `static void`
  `registerTypeMappings(org.apache.axis.client.Call call)`
  `void`
  `setCreatedBy(String createdBy)`
  Sets 'createdBy'.
  `void`
  `setCreatedOn(Date createdOn)`
  Sets 'createdOn'.
  `void`
  `setDescription(String description)`
  Sets 'description'.
  `void`
  `setId(String id)`
  Sets 'id'.
  `void`
  `setLastModifiedBy(String lastModifiedBy)`
  Sets 'lastModifiedBy'.
  `void`
  `setLastModifiedOn(Date lastModifiedOn)`
  Sets 'lastModifiedOn'.
  `void`
  `setParentFolderId(String parentFolderId)`
  Sets 'parentFolderId'.
  `void`
  `setPath(String path)`
  Sets 'path'.
  `void`
  `setProjectId(String projectId)`
  Sets 'projectId'.
  `void`
  `setTitle(String title)`
  Sets 'title'.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### FolderSoapRow

    public FolderSoapRow()

- ## Method Details

  - ### getId

    public String getId()
    Returns 'id'. The ID of the folder (container).
    Returns:
      Value of 'id'.

  - ### setId

    public void setId(String id)
    Sets 'id'. The ID of the folder (container).
    Parameters:
      `id` - Value of 'id'.

  - ### getProjectId

    public String getProjectId()
    Returns 'projectId'. ID of the associated project.
    Returns:
      Value of 'projectId'.

  - ### setProjectId

    public void setProjectId(String projectId)
    Sets 'projectId'. ID of the associated project.
    Parameters:
      `projectId` - Value of 'projectId'.

  - ### getParentFolderId

    public String getParentFolderId()
    Returns 'parentFolderId'. ID of the parent folder, if any (null otherwise).
    Returns:
      Value of 'parentFolderId'.

  - ### setParentFolderId

    public void setParentFolderId(String parentFolderId)
    Sets 'parentFolderId'. ID of the parent folder, if any (null otherwise).
    Parameters:
      `parentFolderId` - Value of 'parentFolderId'.

  - ### getPath

    public String getPath()
    Returns 'path'. Fully qualified folder path, including project path.
    Returns:
      Value of 'path'.

  - ### setPath

    public void setPath(String path)
    Sets 'path'. Fully qualified folder path, including project path.
    Parameters:
      `path` - Value of 'path'.

  - ### getTitle

    public String getTitle()
    Returns 'title'. Folder (container) title.
    Returns:
      Value of 'title'.

  - ### setTitle

    public void setTitle(String title)
    Sets 'title'. Folder (container) title.
    Parameters:
      `title` - Value of 'title'.

  - ### getDescription

    public String getDescription()
    Returns 'description'. Folder (container) description.
    Returns:
      Value of 'description'.

  - ### setDescription

    public void setDescription(String description)
    Sets 'description'. Folder (container) description.
    Parameters:
      `description` - Value of 'description'.

  - ### getCreatedBy

    public String getCreatedBy()
    Returns 'createdBy'. User who created the folder object.
    Returns:
      Value of 'createdBy'.

  - ### setCreatedBy

    public void setCreatedBy(String createdBy)
    Sets 'createdBy'. User who created the folder object.
    Parameters:
      `createdBy` - Value of 'createdBy'.

  - ### getCreatedOn

    public Date getCreatedOn()
    Returns 'createdOn'. The date this object was created.
    Returns:
      Value of 'createdOn'.

  - ### setCreatedOn

    public void setCreatedOn(Date createdOn)
    Sets 'createdOn'. The date this object was created.
    Parameters:
      `createdOn` - Value of 'createdOn'.

  - ### getLastModifiedBy

    public String getLastModifiedBy()
    Returns 'lastModifiedBy'. The user last modified this folder object.
    Returns:
      Value of 'lastModifiedBy'.

  - ### setLastModifiedBy

    public void setLastModifiedBy(String lastModifiedBy)
    Sets 'lastModifiedBy'. The user last modified this folder object.
    Parameters:
      `lastModifiedBy` - Value of 'lastModifiedBy'.

  - ### getLastModifiedOn

    public Date getLastModifiedOn()
    Returns 'lastModifiedOn'. Date this object was last modified.
    Returns:
      Value of 'lastModifiedOn'.

  - ### setLastModifiedOn

    public void setLastModifiedOn(Date lastModifiedOn)
    Sets 'lastModifiedOn'. Date this object was last modified.
    Parameters:
      `lastModifiedOn` - Value of 'lastModifiedOn'.

  - ### registerTypeMappings

    public static void registerTypeMappings(org.apache.axis.client.Call call)